Index: /NEMO/trunk/tests/ISOMIP+/MY_SRC/tradmp.F90
===================================================================
--- /NEMO/trunk/tests/ISOMIP+/MY_SRC/tradmp.F90	(revision 13294)
+++ /NEMO/trunk/tests/ISOMIP+/MY_SRC/tradmp.F90	(revision 13295)
@@ -112,5 +112,5 @@
       CASE( 0 )                        !*  newtonian damping throughout the water column  *!
          DO jn = 1, jpts
-            DO_3D_00_00( 1, jpkm1 )
+            DO_3D( 0, 0, 0, 0, 1, jpkm1 )
                pts(ji,jj,jk,jn,Krhs) = pts(ji,jj,jk,jn,Krhs)           &
                   &                  + resto(ji,jj,jk) * ( zts_dta(ji,jj,jk,jn) - pts(ji,jj,jk,jn,Kbb) )
@@ -119,5 +119,5 @@
          !
       CASE ( 1 )                       !*  no damping in the turbocline (avt > 5 cm2/s)  *!
-         DO_3D_00_00( 1, jpkm1 )
+         DO_3D( 0, 0, 0, 0, 1, jpkm1 )
             IF( avt(ji,jj,jk) <= avt_c ) THEN
                pts(ji,jj,jk,jp_tem,Krhs) = pts(ji,jj,jk,jp_tem,Krhs)   &
@@ -129,5 +129,5 @@
          !
       CASE ( 2 )                       !*  no damping in the mixed layer   *!
-         DO_3D_00_00( 1, jpkm1 )
+         DO_3D( 0, 0, 0, 0, 1, jpkm1 )
             IF( gdept(ji,jj,jk,Kmm) >= hmlp (ji,jj) ) THEN
                pts(ji,jj,jk,jp_tem,Krhs) = pts(ji,jj,jk,jp_tem,Krhs)   &
Index: /NEMO/trunk/tests/ISOMIP/MY_SRC/usrdef_hgr.F90
===================================================================
--- /NEMO/trunk/tests/ISOMIP/MY_SRC/usrdef_hgr.F90	(revision 13294)
+++ /NEMO/trunk/tests/ISOMIP/MY_SRC/usrdef_hgr.F90	(revision 13295)
@@ -77,5 +77,5 @@
       !
       !                       !==  grid point position  ==!   (in degrees)
-      DO_2D_11_11
+      DO_2D( 1, 1, 1, 1 )
          !                       ! longitude   (west coast at lon=0°)
          plamt(ji,jj) = rn_e1deg * (  - 0.5 + REAL( mig0_oldcmp(ji)-1 , wp )  )  
@@ -91,5 +91,5 @@
       !
       !                       !==  Horizontal scale factors  ==!   (in meters)
-      DO_2D_11_11
+      DO_2D( 1, 1, 1, 1 )
          !                       ! e1   (zonal)
          pe1t(ji,jj) = ra * rad * COS( rad * pphit(ji,jj) ) * rn_e1deg
Index: /NEMO/trunk/tests/ISOMIP/MY_SRC/usrdef_zgr.F90
===================================================================
--- /NEMO/trunk/tests/ISOMIP/MY_SRC/usrdef_zgr.F90	(revision 13294)
+++ /NEMO/trunk/tests/ISOMIP/MY_SRC/usrdef_zgr.F90	(revision 13295)
@@ -126,5 +126,5 @@
          END DO
          ! top scale factors and depth at T- and W-points
-         DO_2D_11_11
+         DO_2D( 1, 1, 1, 1 )
             ik = k_top(ji,jj)
             IF ( ik > 2 ) THEN
@@ -145,5 +145,5 @@
          END_2D
          ! bottom scale factors and depth at T- and W-points
-         DO_2D_11_11
+         DO_2D( 1, 1, 1, 1 )
             ik = k_bot(ji,jj)
             pdepw(ji,jj,ik+1) = MIN( zht(ji,jj) , pdepw_1d(ik+1) )
@@ -158,5 +158,5 @@
          pe3u (:,:,:) = pe3t(:,:,:)
          pe3uw(:,:,:) = pe3w(:,:,:)
-         DO_3D_00_00( 1, jpk )
+         DO_3D( 0, 0, 0, 0, 1, jpk )
          !                                   ! Computed as the minimum of neighbooring scale factors
             pe3v (ji,jj,jk) = MIN( pe3t(ji,jj,jk), pe3t(ji,jj+1,jk) )
Index: /NEMO/trunk/tests/LOCK_EXCHANGE/MY_SRC/usrdef_hgr.F90
===================================================================
--- /NEMO/trunk/tests/LOCK_EXCHANGE/MY_SRC/usrdef_hgr.F90	(revision 13294)
+++ /NEMO/trunk/tests/LOCK_EXCHANGE/MY_SRC/usrdef_hgr.F90	(revision 13295)
@@ -74,5 +74,5 @@
       !                       !==  grid point position  ==!   (in kilometers)
       zfact = rn_dx * 1.e-3         ! conversion in km
-      DO_2D_11_11
+      DO_2D( 1, 1, 1, 1 )
          !                       ! longitude
          plamt(ji,jj) = zfact * (  - 0.5 + REAL( mig0_oldcmp(ji)-1 , wp )  )  
Index: /NEMO/trunk/tests/OVERFLOW/MY_SRC/usrdef_hgr.F90
===================================================================
--- /NEMO/trunk/tests/OVERFLOW/MY_SRC/usrdef_hgr.F90	(revision 13294)
+++ /NEMO/trunk/tests/OVERFLOW/MY_SRC/usrdef_hgr.F90	(revision 13295)
@@ -74,5 +74,5 @@
       !                       !==  grid point position  ==!   (in kilometers)
       zfact = rn_dx * 1.e-3         ! conversion in km
-      DO_2D_11_11
+      DO_2D( 1, 1, 1, 1 )
          !                       ! longitude
          plamt(ji,jj) = zfact * (  - 0.5 + REAL( mig0_oldcmp(ji)-1 , wp )  )  
Index: /NEMO/trunk/tests/OVERFLOW/MY_SRC/usrdef_zgr.F90
===================================================================
--- /NEMO/trunk/tests/OVERFLOW/MY_SRC/usrdef_zgr.F90	(revision 13294)
+++ /NEMO/trunk/tests/OVERFLOW/MY_SRC/usrdef_zgr.F90	(revision 13295)
@@ -184,5 +184,5 @@
             pe3vw(:,:,jk) = pe3w_1d (jk)
          END DO
-         DO_2D_11_11
+         DO_2D( 1, 1, 1, 1 )
             ik = k_bot(ji,jj)
             pdepw(ji,jj,ik+1) = MIN( zht(ji,jj) , pdepw_1d(ik+1) )
Index: /NEMO/trunk/tests/VORTEX/MY_SRC/domvvl.F90
===================================================================
--- /NEMO/trunk/tests/VORTEX/MY_SRC/domvvl.F90	(revision 13294)
+++ /NEMO/trunk/tests/VORTEX/MY_SRC/domvvl.F90	(revision 13295)
@@ -190,5 +190,5 @@
       gdept(:,:,1,Kbb) = 0.5_wp * e3w(:,:,1,Kbb)
       gdepw(:,:,1,Kbb) = 0.0_wp
-      DO_3D_11_11( 2, jpk )
+      DO_3D( 1, 1, 1, 1, 2, jpk )
          !    zcoef = tmask - wmask    ! 0 everywhere tmask = wmask, ie everywhere expect at jk = mikt
          !                             ! 1 everywhere from mbkt to mikt + 1 or 1 (if no isf)
@@ -238,5 +238,5 @@
          ENDIF
          IF ( ln_vvl_zstar_at_eqtor ) THEN   ! use z-star in vicinity of the Equator
-            DO_2D_11_11
+            DO_2D( 1, 1, 1, 1 )
 !!gm  case |gphi| >= 6 degrees is useless   initialized just above by default
                IF( ABS(gphit(ji,jj)) >= 6.) THEN
@@ -407,5 +407,5 @@
          zwu(:,:) = 0._wp
          zwv(:,:) = 0._wp
-         DO_3D_10_10( 1, jpkm1 )
+         DO_3D( 1, 0, 1, 0, 1, jpkm1 )
             un_td(ji,jj,jk) = rn_ahe3 * umask(ji,jj,jk) * e2_e1u(ji,jj)           &
                &            * ( tilde_e3t_b(ji,jj,jk) - tilde_e3t_b(ji+1,jj  ,jk) )
@@ -415,9 +415,9 @@
             zwv(ji,jj) = zwv(ji,jj) + vn_td(ji,jj,jk)
          END_3D
-         DO_2D_11_11
+         DO_2D( 1, 1, 1, 1 )
             un_td(ji,jj,mbku(ji,jj)) = un_td(ji,jj,mbku(ji,jj)) - zwu(ji,jj)
             vn_td(ji,jj,mbkv(ji,jj)) = vn_td(ji,jj,mbkv(ji,jj)) - zwv(ji,jj)
          END_2D
-         DO_3D_00_00( 1, jpkm1 )
+         DO_3D( 0, 0, 0, 0, 1, jpkm1 )
             tilde_e3t_a(ji,jj,jk) = tilde_e3t_a(ji,jj,jk) + (   un_td(ji-1,jj  ,jk) - un_td(ji,jj,jk)    &
                &                                          +     vn_td(ji  ,jj-1,jk) - vn_td(ji,jj,jk)    &
@@ -647,5 +647,5 @@
       gdepw(:,:,1,Kmm) = 0.0_wp
       gde3w(:,:,1) = gdept(:,:,1,Kmm) - ssh(:,:,Kmm)
-      DO_3D_11_11( 2, jpk )
+      DO_3D( 1, 1, 1, 1, 2, jpk )
         !    zcoef = (tmask(ji,jj,jk) - wmask(ji,jj,jk))   ! 0 everywhere tmask = wmask, ie everywhere expect at jk = mikt
                                                            ! 1 for jk = mikt
@@ -702,5 +702,5 @@
          !
       CASE( 'U' )                   !* from T- to U-point : hor. surface weighted mean
-         DO_3D_10_10( 1, jpk )
+         DO_3D( 1, 0, 1, 0, 1, jpk )
             pe3_out(ji,jj,jk) = 0.5_wp * (  umask(ji,jj,jk) * (1.0_wp - zlnwd) + zlnwd ) * r1_e1e2u(ji,jj)   &
                &                       * (   e1e2t(ji  ,jj) * ( pe3_in(ji  ,jj,jk) - e3t_0(ji  ,jj,jk) )     &
@@ -711,5 +711,5 @@
          !
       CASE( 'V' )                   !* from T- to V-point : hor. surface weighted mean
-         DO_3D_10_10( 1, jpk )
+         DO_3D( 1, 0, 1, 0, 1, jpk )
             pe3_out(ji,jj,jk) = 0.5_wp * ( vmask(ji,jj,jk)  * (1.0_wp - zlnwd) + zlnwd ) * r1_e1e2v(ji,jj)   &
                &                       * (   e1e2t(ji,jj  ) * ( pe3_in(ji,jj  ,jk) - e3t_0(ji,jj  ,jk) )     &
@@ -720,5 +720,5 @@
          !
       CASE( 'F' )                   !* from U-point to F-point : hor. surface weighted mean
-         DO_3D_10_10( 1, jpk )
+         DO_3D( 1, 0, 1, 0, 1, jpk )
             pe3_out(ji,jj,jk) = 0.5_wp * (  umask(ji,jj,jk) * umask(ji,jj+1,jk) * (1.0_wp - zlnwd) + zlnwd ) &
                &                       *    r1_e1e2f(ji,jj)                                                  &
@@ -887,5 +887,5 @@
                   ssh(:,:,Kbb) = -ssh_ref
 
-                  DO_2D_11_11
+                  DO_2D( 1, 1, 1, 1 )
                      IF( ht_0(ji,jj)-ssh_ref <  rn_wdmin1 ) THEN ! if total depth is less than min depth
                         ssh(ji,jj,Kbb) = rn_wdmin1 - (ht_0(ji,jj) )
@@ -903,5 +903,5 @@
                e3t(:,:,:,Kbb) = e3t(:,:,:,Kmm)
 
-               DO_2D_11_11
+               DO_2D( 1, 1, 1, 1 )
                   IF ( ht_0(ji,jj) .LE. 0.0 .AND. NINT( ssmask(ji,jj) ) .EQ. 1) THEN
                      CALL ctl_stop( 'dom_vvl_rst: ht_0 must be positive at potentially wet points' )
Index: /NEMO/trunk/tests/VORTEX/MY_SRC/usrdef_hgr.F90
===================================================================
--- /NEMO/trunk/tests/VORTEX/MY_SRC/usrdef_hgr.F90	(revision 13294)
+++ /NEMO/trunk/tests/VORTEX/MY_SRC/usrdef_hgr.F90	(revision 13295)
@@ -98,5 +98,5 @@
 #endif
          
-      DO_2D_11_11
+      DO_2D( 1, 1, 1, 1 )
          zti = REAL( mig0_oldcmp(ji) - 1, wp )   ! start at i=0 in the global grid without halos
          ztj = REAL( mjg0_oldcmp(jj) - 1, wp )   ! start at j=0 in the global grid without halos
Index: /NEMO/trunk/tests/VORTEX/MY_SRC/usrdef_istate.F90
===================================================================
--- /NEMO/trunk/tests/VORTEX/MY_SRC/usrdef_istate.F90	(revision 13294)
+++ /NEMO/trunk/tests/VORTEX/MY_SRC/usrdef_istate.F90	(revision 13295)
@@ -75,5 +75,5 @@
       ! Sea level:
       za = -zP0 * (1._wp-EXP(-zH)) / (grav*(zH-1._wp + EXP(-zH)))
-      DO_2D_11_11
+      DO_2D( 1, 1, 1, 1 )
          zx = glamt(ji,jj) * 1.e3
          zy = gphit(ji,jj) * 1.e3
@@ -83,5 +83,5 @@
       !
       ! temperature:         
-      DO_2D_11_11
+      DO_2D( 1, 1, 1, 1 )
          zx = glamt(ji,jj) * 1.e3
          zy = gphit(ji,jj) * 1.e3
@@ -102,5 +102,5 @@
       ! velocities:
       za = 2._wp * zP0 / (zf0 * rho0 * zlambda**2)
-      DO_2D_00_00
+      DO_2D( 0, 0, 0, 0 )
          zx = glamu(ji,jj) * 1.e3
          zy = gphiu(ji,jj) * 1.e3
@@ -116,5 +116,5 @@
       END_2D
       !
-      DO_2D_00_00
+      DO_2D( 0, 0, 0, 0 )
          zx = glamv(ji,jj) * 1.e3
          zy = gphiv(ji,jj) * 1.e3
Index: /NEMO/trunk/tests/WAD/MY_SRC/usrdef_hgr.F90
===================================================================
--- /NEMO/trunk/tests/WAD/MY_SRC/usrdef_hgr.F90	(revision 13294)
+++ /NEMO/trunk/tests/WAD/MY_SRC/usrdef_hgr.F90	(revision 13295)
@@ -74,5 +74,5 @@
       !                       !==  grid point position  ==!   (in kilometers)
       zfact = rn_dx * 1.e-3         ! conversion in km
-      DO_2D_11_11
+      DO_2D( 1, 1, 1, 1 )
          !                       ! longitude
          plamt(ji,jj) = zfact * (  - 0.5 + REAL( mig0_oldcmp(ji)-1 , wp )  )  
Index: /NEMO/trunk/tests/WAD/MY_SRC/usrdef_istate.F90
===================================================================
--- /NEMO/trunk/tests/WAD/MY_SRC/usrdef_istate.F90	(revision 13294)
+++ /NEMO/trunk/tests/WAD/MY_SRC/usrdef_istate.F90	(revision 13295)
@@ -176,5 +176,5 @@
       ! Apply minimum wetdepth criterion
       !
-      DO_2D_11_11
+      DO_2D( 1, 1, 1, 1 )
          IF( ht_0(ji,jj) + pssh(ji,jj) < rn_wdmin1 ) THEN
             pssh(ji,jj) = ptmask(ji,jj,1)*( rn_wdmin1 - ht_0(ji,jj) )
Index: /NEMO/trunk/tests/WAD/MY_SRC/usrdef_zgr.F90
===================================================================
--- /NEMO/trunk/tests/WAD/MY_SRC/usrdef_zgr.F90	(revision 13294)
+++ /NEMO/trunk/tests/WAD/MY_SRC/usrdef_zgr.F90	(revision 13295)
@@ -243,5 +243,5 @@
       ! at v-point: averaging zht
       zhv = 0._wp
-      DO_2D_00_00
+      DO_2D( 0, 0, 0, 0 )
          zhv(ji,jj) = 0.5_wp * ( zht(ji,jj) + zht(ji,jj+1) )
       END_2D
@@ -280,5 +280,5 @@
          ht_0 = zht
          k_bot(:,:) = jpkm1 * k_top(:,:)  !* bottom ocean = jpk-1 (here use k_top as a land mask)
-         DO_2D_11_11
+         DO_2D( 1, 1, 1, 1 )
             IF( zht(ji,jj) <= -(rn_wdld - rn_wdmin2)) THEN
                k_bot(ji,jj) = 0
@@ -289,5 +289,5 @@
          !                                !* terrain-following coordinate with e3.(k)=cst)
          !                                !  OVERFLOW case : identical with j-index (T=V, U=F)
-         DO_2D_00_00
+         DO_2D( 0, 0, 0, 0 )
             z1_jpkm1 = 1._wp / REAL( k_bot(ji,jj) - k_top(ji,jj) + 1 , wp)
             DO jk = 1, jpk
